
#include <macros.h>
#include <tests.h>

#include <slice.h>

// Internal `slice.c` function prototyped.
usize _slice_str_max_sz();

DEFTEST(slice_static_str_len)
{
	const usize func = _slice_str_max_sz();
	INFO("Function reports: %lu", func);
	INFO("Constant is: %lu", SLICE_STR_MAX_SIZE);
	TEST_ASSERT( (func == SLICE_STR_MAX_SIZE) );

	return TEST_OK;
}
RUNTEST_DEBUG(slice_static_str_len)
